/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Tiporepeticao;
import com.tabajara.base.tables.records.TiporepeticaoRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TiporepeticaoDao extends AbstractVertxDAO<TiporepeticaoRecord, com.tabajara.base.tables.pojos.Tiporepeticao, Integer, Future<List<com.tabajara.base.tables.pojos.Tiporepeticao>>, Future<com.tabajara.base.tables.pojos.Tiporepeticao>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<TiporepeticaoRecord,com.tabajara.base.tables.pojos.Tiporepeticao,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public TiporepeticaoDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Tiporepeticao.TIPOREPETICAO, com.tabajara.base.tables.pojos.Tiporepeticao.class, new JDBCClassicQueryExecutor<TiporepeticaoRecord,com.tabajara.base.tables.pojos.Tiporepeticao,Integer>(com.tabajara.base.tables.pojos.Tiporepeticao.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Tiporepeticao object) {
        return object.getTiprepid();
    }

    /**
     * Find records that have <code>tiprepnome IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Tiporepeticao>> findManyByTiprepnome(List<String> values) {
        return findManyByCondition(Tiporepeticao.TIPOREPETICAO.TIPREPNOME.in(values));
    }

    /**
     * Find records that have <code>tiprepdescricao IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Tiporepeticao>> findManyByTiprepdescricao(List<String> values) {
        return findManyByCondition(Tiporepeticao.TIPOREPETICAO.TIPREPDESCRICAO.in(values));
    }
}
